Debian Bug report logs - #642343
pybootchartgui: list index out of range bug while parsing

version graph

Package: pybootchartgui; Maintainer for pybootchartgui is David Paleino <dapal@debian.org>; Source for pybootchartgui is src:bootchart2.

Reported by: Lutz Herting <webmaster@phatsonic.de>

Date: Wed, 21 Sep 2011 18:00:02 UTC

Severity: serious

Tags: patch

Found in versions 0.14.1-1, bootchart2/0.14.4-1

Fixed in version bootchart2/0.14.4-1.1

Done: Jonathan McCrohan <jmccrohan@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#642343; Package pybootchartgui. (Wed, 21 Sep 2011 18:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lutz Herting <webmaster@phatsonic.de>:
New Bug report received and forwarded. Copy sent to David Paleino <dapal@debian.org>. (Wed, 21 Sep 2011 18:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lutz Herting <webmaster@phatsonic.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pybootchartgui: list index out of range bug while parsing
Date: Wed, 21 Sep 2011 19:56:30 +0200
Package: pybootchartgui
Version: 0.14.1-1
Severity: important

Dear Maintainer,

Trying to parse my bootchart logs led to this:

No path given, trying /var/log/bootchart.tgz
parsing '/var/log/bootchart.tgz'
parsing 'header'
parsing 'dmesg'
parsing 'cmdline2.log'
parsing 'paternity.log'
parsing 'proc_cpuinfo.log'
parsing 'proc_diskstats.log'
parsing 'proc_meminfo.log'
parsing 'proc_stat.log'
parsing 'taskstats.log'
Traceback (most recent call last):
  File "/usr/bin/pybootchartgui", line 23, in <module>
    sys.exit(main())
  File "/usr/lib/python2.6/dist-packages/pybootchartgui/main.py", line 124, in main
    res = parsing.Trace(writer, args, options)
  File "/usr/lib/python2.6/dist-packages/pybootchartgui/parsing.py", line 46, in __init__
    parse_paths (writer, self, paths)
  File "/usr/lib/python2.6/dist-packages/pybootchartgui/parsing.py", line 670, in parse_paths
    state = _do_parse(writer, state, name, tf.extractfile(name))
  File "/usr/lib/python2.6/dist-packages/pybootchartgui/parsing.py", line 621, in _do_parse
    state.ps_stats = _parse_taskstats_log(writer, file)
  File "/usr/lib/python2.6/dist-packages/pybootchartgui/parsing.py", line 317, in _parse_taskstats_log
    opid, ppid, cmd = int(tokens[0]), int(tokens[1]), tokens[2]
IndexError: list index out of range



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pybootchartgui depends on:
ii  python        2.6.7-3   
ii  python-cairo  1.8.8-1+b2
ii  python-gtk2   2.24.0-2  
ii  python2.6     2.6.7-3   

pybootchartgui recommends no packages.

pybootchartgui suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#642343; Package pybootchartgui. (Sun, 16 Oct 2011 16:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riccardo Magliocchetti <riccardo.magliocchetti@gmail.com>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Sun, 16 Oct 2011 16:21:10 GMT) Full text and rfc822 format available.

Message #10 received at 642343@bugs.debian.org (full text, mbox):

From: Riccardo Magliocchetti <riccardo.magliocchetti@gmail.com>
To: 642343@bugs.debian.org
Subject: Re: pybootchartgui: list index out of range bug while parsing
Date: Sun, 16 Oct 2011 18:19:03 +0200
Hello,

Il -10/01/-28163 20:59, Lutz Herting ha scritto:
> Package: pybootchartgui
> Version: 0.14.1-1
> Severity: important
>
> Dear Maintainer,
>
> Trying to parse my bootchart logs led to this:
>
> No path given, trying /var/log/bootchart.tgz
> parsing '/var/log/bootchart.tgz'
> parsing 'header'
> parsing 'dmesg'
> parsing 'cmdline2.log'
> parsing 'paternity.log'
> parsing 'proc_cpuinfo.log'
> parsing 'proc_diskstats.log'
> parsing 'proc_meminfo.log'
> parsing 'proc_stat.log'
> parsing 'taskstats.log'
> Traceback (most recent call last):
>    File "/usr/bin/pybootchartgui", line 23, in<module>
>      sys.exit(main())
>    File "/usr/lib/python2.6/dist-packages/pybootchartgui/main.py", line 124, in main
>      res = parsing.Trace(writer, args, options)
>    File "/usr/lib/python2.6/dist-packages/pybootchartgui/parsing.py", line 46, in __init__
>      parse_paths (writer, self, paths)
>    File "/usr/lib/python2.6/dist-packages/pybootchartgui/parsing.py", line 670, in parse_paths
>      state = _do_parse(writer, state, name, tf.extractfile(name))
>    File "/usr/lib/python2.6/dist-packages/pybootchartgui/parsing.py", line 621, in _do_parse
>      state.ps_stats = _parse_taskstats_log(writer, file)
>    File "/usr/lib/python2.6/dist-packages/pybootchartgui/parsing.py", line 317, in _parse_taskstats_log
>      opid, ppid, cmd = int(tokens[0]), int(tokens[1]), tokens[2]
> IndexError: list index out of range
>

Could you please upload somewhere / send me the bootchart.tgz to 
replicate the error please?

thanks,
riccardo




Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#642343; Package pybootchartgui. (Sat, 16 Jun 2012 19:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alf Gaida <agaida@siduction.org>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Sat, 16 Jun 2012 19:24:03 GMT) Full text and rfc822 format available.

Message #15 received at 642343@bugs.debian.org (full text, mbox):

From: Alf Gaida <agaida@siduction.org>
To: 642343@bugs.debian.org
Subject: [pybootchartgui] pybootchartgui dont like special chars
Date: Sat, 16 Jun 2012 21:01:37 +0200
[Message part 1 (text/plain, inline)]
Package: pybootchartgui
Version: 0.14.4-1

--- Please enter the report below this line. ---
https://github.com/mmeeks/bootchart/issues/38, if (in this case the ®) the 
special char is removed, pybootchargui renders the charts correct. 
bootchart.tgz attached

--- System information. ---
Architecture: amd64
Kernel:       Linux 3.4-2.towo.1-siduction-amd64

Debian Release: wheezy/sid
  990 unstable        alfgaida.de 
  500 unstable        repo.percona.com 
  500 unstable        packages.siduction.org 
  500 unstable        debian.morphium.info 
  500 testing         debian.morphium.info 
  500 stable          www.scootersoftware.com 
  500 stable          debian.morphium.info 
  100 unstable        packages.siduction.org 
    1 experimental    debian.morphium.info 

--- Package information. ---
Depends              (Version) | Installed
==============================-+-==============
python2.7                      | 2.7.3-1
 OR python2.6                  | 2.6.7-4
python           (>= 2.6.6-7~) | 2.7.3~rc2-1
python                (<< 2.8) | 2.7.3~rc2-1
python-cairo                   | 1.8.8-1+b2
python-gtk2                    | 2.24.0-3


Package's Recommends field is empty.

Package's Suggests field is empty.
[bootchart-fixed.tgz (application/x-compressed-tar, attachment)]
[bootchart.tgz (application/x-compressed-tar, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#642343; Package pybootchartgui. (Sun, 17 Jun 2012 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riccardo Magliocchetti <riccardo.magliocchetti@gmail.com>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Sun, 17 Jun 2012 11:15:05 GMT) Full text and rfc822 format available.

Message #20 received at 642343@bugs.debian.org (full text, mbox):

From: Riccardo Magliocchetti <riccardo.magliocchetti@gmail.com>
To: Alf Gaida <agaida@siduction.org>, 642343@bugs.debian.org
Subject: Re: Bug#642343: [pybootchartgui] pybootchartgui dont like special chars
Date: Sun, 17 Jun 2012 13:13:40 +0200
Alf,

Il 16/06/2012 21:01, Alf Gaida ha scritto:
> Package: pybootchartgui
> Version: 0.14.4-1
>
> --- Please enter the report below this line. ---
> https://github.com/mmeeks/bootchart/issues/38, if (in this case the ®) the
> special char is removed, pybootchargui renders the charts correct.
> bootchart.tgz attached
>
This is not the same bug but thanks for uploading a reproducer for the 
other one :)

thanks,
riccardo





Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#642343; Package pybootchartgui. (Mon, 27 Aug 2012 12:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Steinhuber <sebastian.steinhuber@googlemail.com>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Mon, 27 Aug 2012 12:12:03 GMT) Full text and rfc822 format available.

Message #25 received at 642343@bugs.debian.org (full text, mbox):

From: Sebastian Steinhuber <sebastian.steinhuber@googlemail.com>
To: 642343@bugs.debian.org
Subject: Parser Error
Date: Mon, 27 Aug 2012 14:09:57 +0200
[Message part 1 (text/plain, inline)]
Package: pybootchartgui
Version: 0.14.1-1

(Version 0.14.1-1 of package bootchart2)

Dear Maintainer,
the parser complains about "UnicodeDecodeError: 'ascii' codec can't
decode byte 0xc3 in position 289817: ordinal not in range(128)" when
creating the png file. The date of bootchart.png is 2012-06-06, I'm
assuming there was a (py)bootchart(gui) update around this time.

The full output of ~$ pybootchartgui
No path given, trying /var/log/bootchart.tgz
parsing '/var/log/bootchart.tgz'
parsing 'header'
parsing 'dmesg'
parsing 'cmdline2.log'
Traceback (most recent call last):
  File "/usr/bin/pybootchartgui", line 23, in <module>
    sys.exit(main())
  File "/usr/lib/python2.7/dist-packages/pybootchartgui/main.py", line
124, in main res = parsing.Trace(writer, args, options)
  File "/usr/lib/python2.7/dist-packages/pybootchartgui/parsing.py",
line 46, in __init__ parse_paths (writer, self, paths)
  File "/usr/lib/python2.7/dist-packages/pybootchartgui/parsing.py",
line 679, in parse_paths state = _do_parse(writer, state, name,
tf.extractfile(name)) File
"/usr/lib/python2.7/dist-packages/pybootchartgui/parsing.py", line 639,
in _do_parse state.cmdline = _parse_cmdline_log(writer, file) File
"/usr/lib/python2.7/dist-packages/pybootchartgui/parsing.py", line 593,
in _parse_cmdline_log for block in file.read().decode().split('\n\n'):
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position
289817: ordinal not in range(128)

[1]+  Exit 1                  pybootchartgui

I will attach /var/log/bootchart.tgz to help digging into this.

TIA,
Sebastian
[bootchart.tgz (application/x-compressed-tar, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#642343; Package pybootchartgui. (Mon, 27 Aug 2012 12:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riccardo Magliocchetti <riccardo.magliocchetti@gmail.com>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Mon, 27 Aug 2012 12:57:08 GMT) Full text and rfc822 format available.

Message #30 received at 642343@bugs.debian.org (full text, mbox):

From: Riccardo Magliocchetti <riccardo.magliocchetti@gmail.com>
To: 642343@bugs.debian.org, Sebastian Steinhuber <sebastian.steinhuber@googlemail.com>
Subject: Re: Bug#642343: Parser Error
Date: Mon, 27 Aug 2012 14:54:09 +0200
Hello Sebastian,

Il 27/08/2012 14:09, Sebastian Steinhuber ha scritto:
> Package: pybootchartgui
> Version: 0.14.1-1
>
> (Version 0.14.1-1 of package bootchart2)

You are using a pretty old version, 0.14.4 is latest available in debian

> Dear Maintainer,
> the parser complains about "UnicodeDecodeError: 'ascii' codec can't
> decode byte 0xc3 in position 289817: ordinal not in range(128)" when
> creating the png file. The date of bootchart.png is 2012-06-06, I'm
> assuming there was a (py)bootchart(gui) update around this time.
>
> The full output of ~$ pybootchartgui
[snip]
>
> I will attach /var/log/bootchart.tgz to help digging into this.

Thanks for doing that, is it handy to be able to reproduce the crash :)

It looks like this has been already been fixed in latest bootchart2 
release which currently is 0.14.5. So it is just matter of updating the 
package in debian. The git commit fixing this should be
9a7ff9823ae8562e11094a5a7155af067733ae95 so you really need 0.14.5.

thanks,
riccardo



Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#642343; Package pybootchartgui. (Mon, 27 Aug 2012 14:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Steinhuber <sebastian.steinhuber@googlemail.com>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Mon, 27 Aug 2012 14:09:03 GMT) Full text and rfc822 format available.

Message #35 received at 642343@bugs.debian.org (full text, mbox):

From: Sebastian Steinhuber <sebastian.steinhuber@googlemail.com>
To: 642343@bugs.debian.org
Subject: Re: Bug#642343: Parser Error
Date: Mon, 27 Aug 2012 16:05:12 +0200
On Mon, 27 Aug 2012 14:54:09 +0200
Riccardo Magliocchetti <riccardo.magliocchetti@gmail.com> wrote:

> Hello Sebastian,
> 
> Il 27/08/2012 14:09, Sebastian Steinhuber ha scritto:  
> > Package: pybootchartgui
> > Version: 0.14.1-1
> >
> > (Version 0.14.1-1 of package bootchart2)  
> 
> You are using a pretty old version, 0.14.4 is latest available in debian  

Hi Riccardo,

you pointed it out, actually the installed version is 0.14.4-1 for
both packages, the latest from unstable right now. Sorry for this noise.

>   
> > Dear Maintainer,
> > the parser complains about "UnicodeDecodeError: 'ascii' codec can't
> > decode byte 0xc3 in position 289817: ordinal not in range(128)" when
> > creating the png file. The date of bootchart.png is 2012-06-06, I'm
> > assuming there was a (py)bootchart(gui) update around this time.
> >
> > The full output of ~$ pybootchartgui  
> [snip]  
> >
> > I will attach /var/log/bootchart.tgz to help digging into this.  
> 
> Thanks for doing that, is it handy to be able to reproduce the crash :)
> 
> It looks like this has been already been fixed in latest bootchart2 
> release which currently is 0.14.5. So it is just matter of updating the 
> package in debian. The git commit fixing this should be
> 9a7ff9823ae8562e11094a5a7155af067733ae95 so you really need 0.14.5.
> 
> thanks,
> riccardo  

I just updated the package list, but the latest version is 0.14.4.1
until now (ftp.de.debian.org)
I will update as soon as 0.14.5-1 packages were rolled out. And I'm 
assuming this will fix the behavior.

Thanks for your considerations,

Sebastian



Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#642343; Package pybootchartgui. (Thu, 30 Aug 2012 11:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Thu, 30 Aug 2012 11:33:09 GMT) Full text and rfc822 format available.

Message #40 received at 642343@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: Debian Bug Tracking System <642343@bugs.debian.org>
Subject: Re: pybootchartgui: list index out of range bug while parsing
Date: Thu, 30 Aug 2012 13:30:29 +0200
Package: pybootchartgui
Followup-For: Bug #642343

Hi,

Any hope this will be fixed for the wheezy release?

This make pybootchartgui unsusable to me.

Cheers

Laurent Bigonville

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.4-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_BE.utf8, LC_CTYPE=fr_BE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pybootchartgui depends on:
ii  python        2.7.3-2
ii  python-cairo  1.8.8-1+b2
ii  python-gtk2   2.24.0-3
ii  python2.6     2.6.8-0.2
ii  python2.7     2.7.3-4

pybootchartgui recommends no packages.

pybootchartgui suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#642343; Package pybootchartgui. (Thu, 30 Aug 2012 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riccardo Magliocchetti <riccardo.magliocchetti@gmail.com>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Thu, 30 Aug 2012 14:21:03 GMT) Full text and rfc822 format available.

Message #45 received at 642343@bugs.debian.org (full text, mbox):

From: Riccardo Magliocchetti <riccardo.magliocchetti@gmail.com>
To: Laurent Bigonville <bigon@debian.org>, 642343@bugs.debian.org
Subject: Re: Bug#642343: pybootchartgui: list index out of range bug while parsing
Date: Thu, 30 Aug 2012 16:18:46 +0200
Laurent,

Il 30/08/2012 13:30, Laurent Bigonville ha scritto:
> Package: pybootchartgui
> Followup-For: Bug #642343
>
> Hi,
>
> Any hope this will be fixed for the wheezy release?
>
> This make pybootchartgui unsusable to me.

could you please upload the bootchart.tgz that breaks pybootchartgui 
somewhere? I'd like to verify it is indeed fixed.

thanks,
riccardo



Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#642343; Package pybootchartgui. (Thu, 30 Aug 2012 15:48:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Thu, 30 Aug 2012 15:48:13 GMT) Full text and rfc822 format available.

Message #50 received at 642343@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: Riccardo Magliocchetti <riccardo.magliocchetti@gmail.com>
Cc: 642343@bugs.debian.org
Subject: Re: Bug#642343: pybootchartgui: list index out of range bug while parsing
Date: Thu, 30 Aug 2012 17:46:20 +0200
[Message part 1 (text/plain, inline)]
Le Thu, 30 Aug 2012 16:18:46 +0200,
Riccardo Magliocchetti <riccardo.magliocchetti@gmail.com> a écrit :

> Laurent,

Hi,

> 
> Il 30/08/2012 13:30, Laurent Bigonville ha scritto:
> > Package: pybootchartgui
> > Followup-For: Bug #642343
> >
> > Hi,
> >
> > Any hope this will be fixed for the wheezy release?
> >
> > This make pybootchartgui unsusable to me.
> 
> could you please upload the bootchart.tgz that breaks pybootchartgui 
> somewhere? I'd like to verify it is indeed fixed.

I've attached it to the mail

Cheers

Laurent Bigonville
[bootchart.tgz (application/x-compressed-tar, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#642343; Package pybootchartgui. (Thu, 30 Aug 2012 16:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riccardo Magliocchetti <riccardo.magliocchetti@gmail.com>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Thu, 30 Aug 2012 16:06:03 GMT) Full text and rfc822 format available.

Message #55 received at 642343@bugs.debian.org (full text, mbox):

From: Riccardo Magliocchetti <riccardo.magliocchetti@gmail.com>
To: Laurent Bigonville <bigon@debian.org>
Cc: 642343@bugs.debian.org
Subject: Re: Bug#642343: pybootchartgui: list index out of range bug while parsing
Date: Thu, 30 Aug 2012 18:02:33 +0200
Il 30/08/2012 17:46, Laurent Bigonville ha scritto:
> Le Thu, 30 Aug 2012 16:18:46 +0200,
> Riccardo Magliocchetti<riccardo.magliocchetti@gmail.com>  a écrit :
>>
>> could you please upload the bootchart.tgz that breaks pybootchartgui
>> somewhere? I'd like to verify it is indeed fixed.
>
> I've attached it to the mail

thanks, it is fixed :)

riccardo



Severity set to 'serious' from 'important' Request was from Riccardo Magliocchetti <riccardo.magliocchetti@gmail.com> to control@bugs.debian.org. (Mon, 03 Sep 2012 17:06:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#642343; Package pybootchartgui. (Mon, 03 Sep 2012 17:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riccardo Magliocchetti <riccardo.magliocchetti@gmail.com>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Mon, 03 Sep 2012 17:24:09 GMT) Full text and rfc822 format available.

Message #62 received at 642343@bugs.debian.org (full text, mbox):

From: Riccardo Magliocchetti <riccardo.magliocchetti@gmail.com>
To: 642343@bugs.debian.org
Subject: backport of patches to fix the issue
Date: Mon, 03 Sep 2012 19:18:48 +0200
[Message part 1 (text/plain, inline)]
Hello,

attached the backport of all fixes applied upstream to fix the issue. 
Also attached each individual patch for easier review.

One patch deals with logs not ascii encoded, the other three fix some 
parsing of ill formed input data. Please note that the ill formed input 
data is not malicious or have been forged / fuzzed, it has been provided 
by the bootchart2 collector which is the companion tool of 
pybootchartgui. So parsing bugs makes the data collected unuseful.

This is the cumulative diffstat:

 parsing.py |   21 ++++++++++-----------
 samples.py |   10 +++++++++-
 2 files changed, 19 insertions(+), 12 deletions(-)

thanks,
riccardo
[backport-fixes-for-debian-642343.diff (text/x-diff, attachment)]
[0001-pybootchartgui-be-more-tolerant-when-parsing-proc_me.patch (text/x-diff, attachment)]
[0001-pybootchartgui-ensure-a-MemSample-is-valid-before-st.patch (text/x-diff, attachment)]
[0001-pybootchartgui-skip-malformed-taskstats-lines.patch (text/x-diff, attachment)]
[0001-pybootchartgui-fix-parsing-of-non-ascii-bytes-in-log.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#642343; Package pybootchartgui. (Wed, 05 Sep 2012 11:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Steinhuber <sebastian.steinhuber@googlemail.com>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Wed, 05 Sep 2012 11:39:05 GMT) Full text and rfc822 format available.

Message #67 received at 642343@bugs.debian.org (full text, mbox):

From: Sebastian Steinhuber <sebastian.steinhuber@googlemail.com>
To: 642343@bugs.debian.org
Subject: Re: backport of patches to fix the issue
Date: Wed, 5 Sep 2012 13:34:24 +0200
Hi,

the patch fixed the issue for me. 

$ pybootchartgui 
No path given, trying /var/log/bootchart.tgz
parsing '/var/log/bootchart.tgz'
parsing 'header'
parsing 'dmesg'
parsing 'cmdline2.log'
parsing 'paternity.log'
Odd paternity line ''
parsing 'proc_cpuinfo.log'
parsing 'proc_diskstats.log'
parsing 'proc_meminfo.log'
parsing 'proc_stat.log'
parsing 'taskstats.log'
merged 0 logger processes
pruned 2511 process, 0 exploders, 97 threads, and 25 runs
merged 0 logger processes
bootchart written to 'bootchart.png'

Thanks,
Sebastian



Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#642343; Package pybootchartgui. (Sat, 08 Sep 2012 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Dangel <uli@spamt.net>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Sat, 08 Sep 2012 14:27:03 GMT) Full text and rfc822 format available.

Message #72 received at 642343@bugs.debian.org (full text, mbox):

From: Ulrich Dangel <uli@spamt.net>
To: 642343@bugs.debian.org
Cc: Jonathan McCrohan <jmccrohan@gmail.com>
Subject: bootchart2: diff for NMU version 0.14.4-1.1
Date: Sat, 8 Sep 2012 16:25:28 +0200
[Message part 1 (text/plain, inline)]
tags 642343 + patch
tags 642343 + pending
thanks

Dear maintainer,

I've prepared an NMU for bootchart2 (versioned as 0.14.4-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

The uploaded package includes these patches:
 * 0001-pybootchartgui-fix-parsing-of-non-ascii-bytes-in-log.patch
 * 0002-pybootchartgui-skip-malformed-taskstats-lines.patch
 * 0003-pybootchartgui-ensure-a-MemSample-is-valid-before-st.patch
 * 0004-pybootchartgui-be-more-tolerant-when-parsing-proc_me.patch


Regards.
Ulrich
[bootchart2-0.14.4-1.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Ulrich Dangel <uli@spamt.net> to control@bugs.debian.org. (Sat, 08 Sep 2012 14:27:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ulrich Dangel <uli@spamt.net> to control@bugs.debian.org. (Sat, 08 Sep 2012 14:27:05 GMT) Full text and rfc822 format available.

Reply sent to Jonathan McCrohan <jmccrohan@gmail.com>:
You have taken responsibility. (Mon, 10 Sep 2012 15:06:04 GMT) Full text and rfc822 format available.

Notification sent to Lutz Herting <webmaster@phatsonic.de>:
Bug acknowledged by developer. (Mon, 10 Sep 2012 15:06:04 GMT) Full text and rfc822 format available.

Message #81 received at 642343-close@bugs.debian.org (full text, mbox):

From: Jonathan McCrohan <jmccrohan@gmail.com>
To: 642343-close@bugs.debian.org
Subject: Bug#642343: fixed in bootchart2 0.14.4-1.1
Date: Mon, 10 Sep 2012 15:03:25 +0000
Source: bootchart2
Source-Version: 0.14.4-1.1

We believe that the bug you reported is fixed in the latest version of
bootchart2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 642343@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan McCrohan <jmccrohan@gmail.com> (supplier of updated bootchart2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 08 Sep 2012 13:54:28 +0100
Source: bootchart2
Binary: bootchart2 pybootchartgui
Architecture: source amd64 all
Version: 0.14.4-1.1
Distribution: unstable
Urgency: low
Maintainer: David Paleino <dapal@debian.org>
Changed-By: Jonathan McCrohan <jmccrohan@gmail.com>
Description: 
 bootchart2 - boot process performance analyser
 pybootchartgui - viewer for boot process performance analysis results
Closes: 642343
Changes: 
 bootchart2 (0.14.4-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Apply patches supplied by upstream to fix RC bug (Closes: #642343)
     - 0001-pybootchartgui-fix-parsing-of-non-ascii-bytes-in-log.patch
     - 0002-pybootchartgui-skip-malformed-taskstats-lines.patch
     - 0003-pybootchartgui-ensure-a-MemSample-is-valid-before-st.patch
     - 0004-pybootchartgui-be-more-tolerant-when-parsing-proc_me.patch
Checksums-Sha1: 
 03eafe9392416240f230c18cf3935e3cb29c2ebf 2012 bootchart2_0.14.4-1.1.dsc
 8feaaa05bd4ecdeb5de7181ba33946cef1009ee2 6369 bootchart2_0.14.4-1.1.debian.tar.gz
 ba67b634b16d79b177bbb0c9d7bc07361495c7de 31358 bootchart2_0.14.4-1.1_amd64.deb
 147a251aae01036a0532f632b6ae37637d90e8d2 32888 pybootchartgui_0.14.4-1.1_all.deb
Checksums-Sha256: 
 164e0e48f72ab13a6448d84d55e888aa747210c4a2ee87e7171419f58aef82ca 2012 bootchart2_0.14.4-1.1.dsc
 658cfe7a140f03f32e22d86a52ff3c0765d2b9ffa384f6af207b6540d6b4558c 6369 bootchart2_0.14.4-1.1.debian.tar.gz
 062e132f02eb8c1791542467f6e59534fc2352376bca5efa850bcca3ce75fe83 31358 bootchart2_0.14.4-1.1_amd64.deb
 738dc48a684a0a05942448e7a3fcfe6bf7abcb8fcd429ce6fd055e8ee4ec7e49 32888 pybootchartgui_0.14.4-1.1_all.deb
Files: 
 e57b2fcb11cc3fc8392cabb329e67707 2012 utils optional bootchart2_0.14.4-1.1.dsc
 ddec577cfd4d6ca2cbdee2147b550e8a 6369 utils optional bootchart2_0.14.4-1.1.debian.tar.gz
 aa3892e979ff3cb91640c68f65165e47 31358 utils optional bootchart2_0.14.4-1.1_amd64.deb
 23eae679f61c6509c7a9d68d51a7cfdf 32888 utils optional pybootchartgui_0.14.4-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJQS1I2AAoJEASq5bOX8aqs6CUP+QEqXPsRk51WNUFdf5ztW6ja
cqvsQHsLcVvZUkPstqtk7hBnwjQC38O/a0dW+SD9tzTIzLE3NwHdUU1MROI358WU
HTNWAIdw6nyNWXVYuOfZNfE5V6bMNZhpadUGH9mZ4eNhf7cBQOBKP0YLntSDTMmG
0G3ReehNmfkexF6A1GtO/mRJfqrDkTgT/GSEF6ixufVZkFO8azqM5yaN3MY8LeIl
hH6Im+gS7jRWbg7xX+dPIltIsr6R5D2hGroJfLUO3yNVsDeWNbSgFHdtVjBmwTUU
bnV9/3NWpefjsmLoBGPneEtqo4rls7J3kgFDjsV9rLeR0FK5dFeG62Xjm4ICWH8+
CtHOhobsiGMCTQEWIT0KdHJ2IBX0eeE3NJAAl4ueGDBkZES0DdHrc8GzXW8iiQO2
iZ+NQ+wSDaHxLqJwUcMAVsJye+BHXZXIx71WzY9WoMl6MedCSoNXsKE+D+i6bzqq
iNg/+RZoPRgYG04PNYmtjKzjqndyqFkWufEasGM3Z5JH40tOOktcEFVpLs7rs9ps
a4MesnwlWrykRia9jzW/T1yuViwnDjscBqtyVoaMwRYGWk1ZUMOCc+tNCV48/6hJ
XTpF7DReYludzNj+OL37mfX3xnwhN8stX9fH5LC8L40AoW2Ak1C4j694/zf5hSvD
ggdvPhYfnbLwYJb88SZn
=OoYl
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 19 Oct 2012 07:26:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:03:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.